Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenAuditedMetricTarget

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenAuditable, GenRuleTarget, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenAuditedMetricTargetImpl

    public interface GenAuditedMetricTarget

extends GenAuditable

A representation of the model object 'Gen Audited Metric Target'. Target metric which can be evaluated by audit rule. The target context here is the metric rule resulting type classifier

The following features are supported:

- `Metric`
- `Metric Value Context`

See Also:
  `GMFGenPackage.getGenAuditedMetricTarget()`
** Generated **
Model:

Method Summary
`GenMetricRule` `getMetric()` Returns the value of the 'Metric' reference
`org.eclipse.emf.codegen.ecore.genmodel.GenDataType` `getMetricValueContext()` Returns the value of the 'Metric Value Context' reference
`void` `setMetric(GenMetricRule value)` Sets the value of the '`Metric`' reference
`void` `setMetricValueContext(org.eclipse.emf.codegen.ecore.genmodel.GenDataType value)` Sets the value of the '`Metric Value Context`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenAuditable
`getContextSelector, getTargetClass, getTargetClassModelQualifiedName, setContextSelector`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleTarget
`getContext`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMetric

    GenMetricRule getMetric()

  Returns the value of the 'Metric' reference. Metric wich can be involved in audit

  Returns:
    the value of the 'Metric' reference.
  See Also:
    `setMetric(GenMetricRule)`, `GMFGenPackage.getGenAuditedMetricTarget_Metric()`
  ** Generated **
  Model:
    required="true"

### setMetric

    void setMetric(GenMetricRule value)

  Sets the value of the '`Metric`' reference.

  Parameters:
    `value` - the new value of the 'Metric' reference.
  See Also:
    `getMetric()`
  ** Generated **

### getMetricValueContext

    org.eclipse.emf.codegen.ecore.genmodel.GenDataType getMetricValueContext()

  Returns the value of the 'Metric Value Context' reference.

  If the meaning of the 'Metric Value Context' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metric Value Context' reference.
  See Also:
    `setMetricValueContext(GenDataType)`, `GMFGenPackage.getGenAuditedMetricTarget_MetricValueContext()`
  ** Generated **
  Model:
    required="true"

### setMetricValueContext

    void setMetricValueContext(org.eclipse.emf.codegen.ecore.genmodel.GenDataType value)

  Sets the value of the '`Metric Value Context`' reference.

  Parameters:
    `value` - the new value of the 'Metric Value Context' reference.
  See Also:
    `getMetricValueContext()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.